Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class RecordStore

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.RecordStore

Deprecated. jan '07 : this class is not used anywhere in Batik, it might be removed in the future. Probably WMFRecordStore is what you need.

    public class RecordStore

extends Object

An object that stores the vector graphics records.

Field Summary
`protected boolean` | `bReading` Deprecated.
`int` | `lastObjectIdx` Deprecated.
`protected int` | `numObjects` Deprecated.
`protected int` | `numRecords` Deprecated.
`protected Vector` | `objectVector` Deprecated.
`protected Vector` | `records` Deprecated.
`protected int` | `vpH` Deprecated.
`protected int` | `vpW` Deprecated.
`protected int` | `vpX` Deprecated.
`protected int` | `vpY` Deprecated.

Constructor Summary
`RecordStore()` Deprecated.

Method Summary
`void` | `addObject(int type, Object obj)` Deprecated. Adds a GdiObject to the internal handle table.
`void` | `addObjectAt(int type, Object obj, int idx)` Deprecated. Adds a GdiObject to the internal handle table.
`int` | `getNumObjects()` Deprecated. Returns the number of GdiObjects in the handle table
`int` | `getNumRecords()` Deprecated. Returns a number of records in the image
`GdiObject` | `getObject(int idx)` Deprecated. Returns a GdiObject from the handle table
`MetaRecord` | `getRecord(int idx)` Deprecated. Returns a meta record.
`URL` | `getUrl()` Deprecated. Returns the current URL
`int` | `getVpH()` Deprecated. Returns the viewport height
`int` | `getVpW()` Deprecated. Returns the viewport width
`int` | `getVpX()` Deprecated. Returns the viewport x origin
`int` | `getVpY()` Deprecated. Returns the viewport y origin
`boolean` | `read(DataInputStream is)` Deprecated. Reads the Wmf file from the specified Stream.
`void` | `reset()` Deprecated. Resets the internal storage and viewport coordinates.
`void` | `setUrl(URL newUrl)` Deprecated. Sets the current URL
`void` | `setVpH(int newValue)` Deprecated. Sets the viewport height
`void` | `setVpW(int newValue)` Deprecated. Sets the viewport width
`void` | `setVpX(int newValue)` Deprecated. Sets the viewport x origin
`void` | `setVpY(int newValue)` Deprecated. Sets the viewport y origin

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numRecords

    protected transient int numRecords

  Deprecated.

### numObjects

    protected transient int numObjects

  Deprecated.

### lastObjectIdx

    public transient int lastObjectIdx

  Deprecated.

### vpX

    protected transient int vpX

  Deprecated.

### vpY

    protected transient int vpY

  Deprecated.

### vpW

    protected transient int vpW

  Deprecated.

### vpH

    protected transient int vpH

  Deprecated.

### records

    protected transient Vector records

  Deprecated.

### objectVector

    protected transient Vector objectVector

  Deprecated.

### bReading

    protected transient boolean bReading

  Deprecated.

Constructor Detail

### RecordStore

    public RecordStore()

  Deprecated.

Method Detail

### reset

    public void reset()

  Deprecated.
  Resets the internal storage and viewport coordinates.

### read

    public boolean read(DataInputStream is)
                 throws IOException

  Deprecated.
  Reads the Wmf file from the specified Stream. A Wmf file can be produced using the GConvert utility found at http://www.asd.ie/Wmf.htm The Wmf format is slightly more compact than the original WMF format and in some cases may produce better handling of colours.

  Throws:
    `IOException`

### addObject

    public void addObject(int type,
                          Object obj)

  Deprecated.
  Adds a GdiObject to the internal handle table. Adds the object at the next free location. This function should not normally be called by an application.

### addObjectAt

    public void addObjectAt(int type,
                            Object obj,
                            int idx)

  Deprecated.
  Adds a GdiObject to the internal handle table. Wmf files specify the index as given in EMF records such as EMRCREATEPENINDIRECT whereas WMF files always use 0. This function should not normally be called by an application.

### getUrl

    public URL getUrl()

  Deprecated.
  Returns the current URL

### setUrl

    public void setUrl(URL newUrl)

  Deprecated.
  Sets the current URL

### getObject

    public GdiObject getObject(int idx)

  Deprecated.
  Returns a GdiObject from the handle table

### getRecord

    public MetaRecord getRecord(int idx)

  Deprecated.
  Returns a meta record.

### getNumRecords

    public int getNumRecords()

  Deprecated.
  Returns a number of records in the image

### getNumObjects

    public int getNumObjects()

  Deprecated.
  Returns the number of GdiObjects in the handle table

### getVpX

    public int getVpX()

  Deprecated.
  Returns the viewport x origin

### getVpY

    public int getVpY()

  Deprecated.
  Returns the viewport y origin

### getVpW

    public int getVpW()

  Deprecated.
  Returns the viewport width

### getVpH

    public int getVpH()

  Deprecated.
  Returns the viewport height

### setVpX

    public void setVpX(int newValue)

  Deprecated.
  Sets the viewport x origin

### setVpY

    public void setVpY(int newValue)

  Deprecated.
  Sets the viewport y origin

### setVpW

    public void setVpW(int newValue)

  Deprecated.
  Sets the viewport width

### setVpH

    public void setVpH(int newValue)

  Deprecated.
  Sets the viewport height

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.